Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037801
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 05. Production managementmajoralways2018-01-31 17:472018-02-02 09:34
ReporterngarciaView Statuspublic 
Assigned ToTriage Finance 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q4.1
StatusclosedFix in branchFixed in SCM revisionfaf1e72a5d99
ProjectionnoneETAnoneTarget Version3.0PR17Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-05-31
Regression introduced in release3.0PR17Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/bd09a9d5ffa8f7b2dce0cb634b14aef05c67270f [^]
Triggers an Emergency PackNo
Summary

0037801: Cannot select a product with stock in Work effort and Production Run windows

DescriptionCannot select a product with stock in Work effort and Production Run windows
Steps To ReproduceAs group admin role:
   Create a product
   Set it as production
   Add an attribute set to it
   Create a goods receipt, add that product in two lines (with a different attribute set value each) set and complete it

   Create a Process Plan in which the process is consumed
   Create the Work Requirement and a work effort from it
   Go to Work Effort - Production Run - Product tab and open the Product selector (in order to select the other attribute set value)
   Clear the filter in order to show the products with stock
   Check the products with stock do not appear
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0037796 closeddmiguelez Cannot select a product with stock in Work effort and Production Run windows 

-  Notes
(0102138)
hgbot (developer)
2018-02-02 09:27

Repository: erp/backports/3.0PR17Q4.1
Changeset: faf1e72a5d99edfe7daa204ec8394ef8c7bcfe1c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Feb 01 12:16:41 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR17Q4.1/rev/faf1e72a5d99edfe7daa204ec8394ef8c7bcfe1c [^]

Fixes Issue 37801. Selector for Product in Work Effort and Production Run Windows
does not filter Products by non stocked. It is possible to select a product
regardless of having stock of it. If there is stock, it is possible to select
the specific stock.

---
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0102140)
dmiguelez (developer)
2018-02-02 09:34

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2018-02-01 12:11 dmiguelez Type defect => backport
2018-02-01 12:11 dmiguelez Target Version => 3.0PR17Q4.1
2018-02-02 09:27 hgbot Checkin
2018-02-02 09:27 hgbot Note Added: 0102138
2018-02-02 09:27 hgbot Status scheduled => resolved
2018-02-02 09:27 hgbot Resolution open => fixed
2018-02-02 09:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q4.1/rev/faf1e72a5d99edfe7daa204ec8394ef8c7bcfe1c [^]
2018-02-02 09:34 dmiguelez Review Assigned To => dmiguelez
2018-02-02 09:34 dmiguelez Note Added: 0102140
2018-02-02 09:34 dmiguelez Status resolved => closed
2018-02-02 09:34 dmiguelez Fixed in Version => 3.0PR17Q4.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker